TracksOperations Class

Warning

DO NOT instantiate this class directly.

Instead, you should access the following operations through

AzureMediaServices's

<xref:tracks> attribute.

Inheritance
builtins.object
TracksOperations

Constructor

TracksOperations(*args, **kwargs)

Methods

begin_create_or_update

Create or update a Track.

Create or update a Track in the asset.

begin_delete

Delete a Track.

Deletes a Track in the asset.

begin_update

Update an Track.

Updates an existing Track in the asset.

begin_update_track_data

Update the track data.

Update the track data. Call this API after any changes are made to the track data stored in the asset container. For example, you have modified the WebVTT captions file in the Azure blob storage container for the asset, viewers will not see the new version of the captions unless this API is called. Note, the changes may not be reflected immediately. CDN cache may also need to be purged if applicable.

get

Get a Track.

Get the details of a Track in the Asset.

list

List Tracks in the Asset.

Lists the Tracks in the asset.

begin_create_or_update

Create or update a Track.

Create or update a Track in the asset.

async begin_create_or_update(resource_group_name: str, account_name: str, asset_name: str, track_name: str, parameters: azure.mgmt.media.models._models_py3.AssetTrack, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.media.models._models_py3.AssetTrack]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

track_name
str
Required

The Asset Track name.

parameters
AssetTrack
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either AssetTrack or the result of cls(response)

Return type

Exceptions

begin_delete

Delete a Track.

Deletes a Track in the asset.

async begin_delete(resource_group_name: str, account_name: str, asset_name: str, track_name: str, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[None]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

track_name
str
Required

The Asset Track name.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either None or the result of cls(response)

Return type

Exceptions

begin_update

Update an Track.

Updates an existing Track in the asset.

async begin_update(resource_group_name: str, account_name: str, asset_name: str, track_name: str, parameters: azure.mgmt.media.models._models_py3.AssetTrack, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.media.models._models_py3.AssetTrack]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

track_name
str
Required

The Asset Track name.

parameters
AssetTrack
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either AssetTrack or the result of cls(response)

Return type

Exceptions

begin_update_track_data

Update the track data.

Update the track data. Call this API after any changes are made to the track data stored in the asset container. For example, you have modified the WebVTT captions file in the Azure blob storage container for the asset, viewers will not see the new version of the captions unless this API is called. Note, the changes may not be reflected immediately. CDN cache may also need to be purged if applicable.

async begin_update_track_data(resource_group_name: str, account_name: str, asset_name: str, track_name: str, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[None]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

track_name
str
Required

The Asset Track name.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either None or the result of cls(response)

Return type

Exceptions

get

Get a Track.

Get the details of a Track in the Asset.

async get(resource_group_name: str, account_name: str, asset_name: str, track_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.AssetTrack

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

track_name
str
Required

The Asset Track name.

cls
callable

A custom type or function that will be passed the direct response

Returns

AssetTrack, or the result of cls(response)

Return type

Exceptions

list

List Tracks in the Asset.

Lists the Tracks in the asset.

list(resource_group_name: str, account_name: str, asset_name: str, **kwargs: Any) -> AsyncIterable[azure.mgmt.media.models._models_py3.AssetTrackCollection]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

asset_name
str
Required

The Asset name.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either AssetTrackCollection or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.media.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\media\\models\\__init__.py'>